Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.termination
Class MPPTerminationCondition

    java.lang.Object
      ifs.termination.MPPTerminationCondition

All Implemented Interfaces:
  TerminationCondition

    public class MPPTerminationCondition

extends Object
implements TerminationCondition

General implementation of termination condition for minimal perturbation problem.
Solver stops when a timeout is reached (expressed either by the number of iterations or by a time) or when an acceptable complete (all variables are assigned) solution is found. The acceptance of a solution is expressed either by the minimal number of variables assigned to not-initial values or by the perturbations penalty.
Parameters:

Parameter | Type | Comment
--- | --- | ---
Termination.StopWhenComplete | `Double` | if true, solver stops when a complete solution is found
Termination.MaxIters | `Integer` | if zero or positive, solver stops when the given number of iteration is reached
Termination.TimeOut | `Double` | if zero or positive, solver stops when the given timeout (given in seconds) is reached
Termination.MinPerturbances | `Integer` | if zero or positive, solver stops when the solution is complete and the number of variables with non-initial values is below or equal to this limit
Termination.MinPerturbationPenalty | `Double` | if zero or positive, solver stops when the solution is complete and when the perturbation penaly of the solution is below or equal to this limit

Version:
  1.0
Author:
  Tomáš Müller
See Also:
  `Solver`, `PerturbationsCounter`

Field Summary
`protected static Logger` | `sLogger`

Constructor Summary
`MPPTerminationCondition(DataProperties properties)`
`MPPTerminationCondition(int maxIter, double timeout, int minPerturbances)`

Method Summary
`boolean` | `canContinue(Solution currentSolution)` Returns true when the solver can continue with the next iteration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sLogger

    protected static Logger sLogger

Constructor Detail

### MPPTerminationCondition

    public MPPTerminationCondition(DataProperties properties)

### MPPTerminationCondition

    public MPPTerminationCondition(int maxIter,
                                   double timeout,
                                   int minPerturbances)

Method Detail

### canContinue

    public boolean canContinue(Solution currentSolution)

  Description copied from interface: `TerminationCondition`
  Returns true when the solver can continue with the next iteration

  Specified by:
    `canContinue` in interface `TerminationCondition`
  Parameters:
    `currentSolution` - current solution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller